/[gentoo-x86]/eclass/vdr-plugin.eclass
Gentoo

Diff of /eclass/vdr-plugin.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.50 Revision 1.58
1# Copyright 1999-2005 Gentoo Foundation 1# Copyright 1999-2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/vdr-plugin.eclass,v 1.50 2007/10/05 13:56:49 zzam Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/vdr-plugin.eclass,v 1.58 2008/04/22 11:04:05 zzam Exp $
4# 4#
5# Author: 5# Author:
6# Matthias Schwarzott <zzam@gentoo.org> 6# Matthias Schwarzott <zzam@gentoo.org>
7# Joerg Bornkessel <hd_brummy@gentoo.org> 7# Joerg Bornkessel <hd_brummy@gentoo.org>
8 8
72# works in most cases 72# works in most cases
73S="${WORKDIR}/${VDRPLUGIN}-${PV}" 73S="${WORKDIR}/${VDRPLUGIN}-${PV}"
74 74
75# depend on headers for DVB-driver 75# depend on headers for DVB-driver
76DEPEND=">=media-tv/gentoo-vdr-scripts-0.3.8 76DEPEND=">=media-tv/gentoo-vdr-scripts-0.3.8
77 >=media-tv/vdrplugin-rebuild-0.2 77 || ( >=media-tv/gentoo-vdr-scripts-0.4.2 >=media-tv/vdrplugin-rebuild-0.2 )
78 >=app-admin/eselect-vdr-0.0.2 78 >=app-admin/eselect-vdr-0.0.2
79 media-tv/linuxtv-dvb-headers" 79 media-tv/linuxtv-dvb-headers"
80 80
81 81
82# New method of storing plugindb 82# New method of storing plugindb
84# file maintained by normal portage-methods 84# file maintained by normal portage-methods
85create_plugindb_file() { 85create_plugindb_file() {
86 local NEW_VDRPLUGINDB_DIR=/usr/share/vdr/vdrplugin-rebuild/ 86 local NEW_VDRPLUGINDB_DIR=/usr/share/vdr/vdrplugin-rebuild/
87 local DB_FILE="${NEW_VDRPLUGINDB_DIR}/${CATEGORY}-${PF}" 87 local DB_FILE="${NEW_VDRPLUGINDB_DIR}/${CATEGORY}-${PF}"
88 insinto "${NEW_VDRPLUGINDB_DIR}" 88 insinto "${NEW_VDRPLUGINDB_DIR}"
89
90# BUG: portage-2.1.4_rc9 will delete the EBUILD= line, so we cannot use this code.
89 cat <<-EOT > "${D}/${DB_FILE}" 91# cat <<-EOT > "${D}/${DB_FILE}"
90 VDRPLUGIN_DB=1 92# VDRPLUGIN_DB=1
91 CREATOR=ECLASS 93# CREATOR=ECLASS
92 EBUILD=${CATEGORY}/${PN} 94# EBUILD=${CATEGORY}/${PN}
93 EBUILD_V=${PVR} 95# EBUILD_V=${PVR}
94 EOT 96# EOT
97 {
98 echo "VDRPLUGIN_DB=1"
99 echo "CREATOR=ECLASS"
100 echo "EBUILD=${CATEGORY}/${PN}"
101 echo "EBUILD_V=${PVR}"
102 } > "${D}/${DB_FILE}"
95} 103}
96 104
97# Delete files created outside of vdr-plugin.eclass 105# Delete files created outside of vdr-plugin.eclass
98# vdrplugin-rebuild.ebuild converted plugindb and files are 106# vdrplugin-rebuild.ebuild converted plugindb and files are
99# not deleted by portage itself - should only be needed as 107# not deleted by portage itself - should only be needed as
100# long as not every system has switched over to 108# long as not every system has switched over to
101# vdrplugin-rebuild-0.2 109# vdrplugin-rebuild-0.2 / gentoo-vdr-scripts-0.4.2
102delete_orphan_plugindb_file() { 110delete_orphan_plugindb_file() {
103 #elog Testing for orphaned plugindb file 111 #elog Testing for orphaned plugindb file
104 local NEW_VDRPLUGINDB_DIR=/usr/share/vdr/vdrplugin-rebuild/ 112 local NEW_VDRPLUGINDB_DIR=/usr/share/vdr/vdrplugin-rebuild/
105 local DB_FILE="${ROOT}/${NEW_VDRPLUGINDB_DIR}/${CATEGORY}-${PF}" 113 local DB_FILE="${ROOT}/${NEW_VDRPLUGINDB_DIR}/${CATEGORY}-${PF}"
106 114
137 doins header-md5-${PN} 145 doins header-md5-${PN}
138 fi 146 fi
139 fi 147 fi
140} 148}
141 149
142vdr-plugin_pkg_setup() { 150fix_vdr_libsi_include()
143 # -fPIC is needed for shared objects on some platforms (amd64 and others) 151{
144 append-flags -fPIC 152 einfo "Fixing include of libsi-headers"
153 local f
154 for f; do
155 sed -i "${f}" \
156 -e '/#include/s:"\(.*libsi.*\)":<\1>:' \
157 -e '/#include/s:<.*\(libsi/.*\)>:<vdr/\1>:'
158 done
159}
145 160
146 # Where should the plugins live in the filesystem 161vdr_patchmakefile() {
147 VDR_PLUGIN_DIR="/usr/$(get_libdir)/vdr/plugins" 162 einfo "Patching Makefile"
148 VDR_CHECKSUM_DIR="${VDR_PLUGIN_DIR%/plugins}/checksums" 163 [[ -e Makefile ]] || die "Makefile of plugin can not be found!"
164 cp Makefile "${WORKDIR}"/Makefile.before
149 165
150 # was /usr/lib/... some time ago 166 ebegin " Setting Pathes"
151 # since gentoo-vdr-scripts-0.3.6 it works with /usr/share/... 167 sed -i Makefile \
152 VDR_RC_DIR="/usr/share/vdr/rcscript" 168 -e "s:^VDRDIR.*$:VDRDIR = ${VDR_INCLUDE_DIR}:" \
169 -e "s:^LIBDIR.*$:LIBDIR = ${S}:" \
170 -e "s:^TMPDIR.*$:TMPDIR = ${T}:" \
171 -e 's:-I$(VDRDIR)/include:-I'"${VDR_INCLUDE_DIR%vdr}"':' \
172 -e "/^DVBDIR/d" \
173 -e 's:-I$(DVBDIR)/include::'
174 eend $?
153 175
154 # Pathes to includes 176 # maybe needed for multiproto:
155 VDR_INCLUDE_DIR="/usr/include/vdr" 177 #sed -i Makefile \
156 DVB_INCLUDE_DIR="/usr/include" 178 # -e "s:^DVBDIR.*$:DVBDIR = ${DVB_INCLUDE_DIR}:" \
179 # -e 's:-I$(VDRDIR)/include -I$(DVBDIR)/include:-I$(DVBDIR)/include -I$(VDRDIR)/include:' \
180 # -e 's:-I$(DVBDIR)/include:-I$(DVBDIR):'
157 181
182 if ! grep -q APIVERSION Makefile; then
183 ebegin " Converting to APIVERSION"
184 sed -i Makefile \
185 -e 's:^APIVERSION = :APIVERSION ?= :' \
186 -e 's:$(LIBDIR)/$@.$(VDRVERSION):$(LIBDIR)/$@.$(APIVERSION):' \
187 -e '/VDRVERSION =/a\APIVERSION = $(shell sed -ne '"'"'/define APIVERSION/s/^.*"\\(.*\\)".*$$/\\1/p'"'"' $(VDRDIR)/config.h)'
188 eend $?
189 fi
158 190
159 TMP_LOCALE_DIR="${WORKDIR}/tmp-locale" 191 # Correcting Compile-Flags
160 LOCDIR="/usr/share/vdr/locale" 192 # Do not overwrite CXXFLAGS, add LDFLAGS if missing
193 sed -i Makefile \
194 -e '/^CXXFLAGS[[:space:]]*=/s/=/?=/' \
195 -e '/LDFLAGS/!s:-shared:$(LDFLAGS) -shared:'
196
197 # Disabling file stripping, useful for debugging
198 sed -i Makefile \
199 -e '/@.*strip/d' \
200 -e '/strip \$(LIBDIR)\/\$@/d' \
201 -e '/@.*\$(STRIP)/d'
202
203 # Use a file instead of a variable as single-stepping via ebuild
204 # destroys environment.
205 touch "${WORKDIR}"/.vdr-plugin_makefile_patched
206}
207
208vdr_add_local_patch() {
209 if test -d "${VDR_LOCAL_PATCHES_DIR}/${PN}"; then
210 echo
211 einfo "Applying local patches"
212 for LOCALPATCH in "${VDR_LOCAL_PATCHES_DIR}/${PN}/${PV}"/*.{diff,patch}; do
213 test -f "${LOCALPATCH}" && epatch "${LOCALPATCH}"
214 done
215 fi
216}
217
218vdr_has_gettext() {
161 if has_version ">=media-video/vdr-1.5.7"; then 219 has_version ">=media-video/vdr-1.5.7"
162 USE_GETTEXT=1 220}
221
222plugin_has_gettext() {
223 [[ -d po ]]
224}
225
226vdr_i18n_convert_to_gettext() {
227 local i18n_tool="${ROOT}/usr/share/vdr/bin/i18n-to-gettext.pl"
228
229 if [[ ${NO_GETTEXT_HACK} == "1" ]]; then
230 ewarn "Conversion to gettext disabled in ebuild"
231 return 1
232 fi
233
234 if [[ ! -x ${i18n_tool} ]]; then
235 eerror "Missing ${i18n_tool}"
236 eerror "Please re-emerge vdr"
237 die "Missing ${i18n_tool}"
238 fi
239
240 ebegin "Auto converting translations to gettext"
241 # call i18n-to-gettext tool
242 # take all texts missing tr call into special file
243 "${i18n_tool}" 2>/dev/null \
244 |sed -e '/^"/!d' \
245 -e '/^""$/d' \
246 -e 's/\(.*\)/trNOOP(\1)/' \
247 > dummy-translations-trNOOP.c
248
249 # if there were untranslated texts just run it again
250 # now the missing calls are listed in
251 # dummy-translations-trNOOP.c
252 if [[ -s dummy-translations-trNOOP.c ]]; then
253 "${i18n_tool}" &>/dev/null
254 fi
255
256 # now use the modified Makefile
257 if [[ -f Makefile.new ]]; then
258 mv Makefile.new Makefile
259 eend 0 ""
163 else 260 else
164 USE_GETTEXT=0 261 eend 1 "Conversion to gettext failed. Plugin needs fixing."
262 return 1
165 fi 263 fi
166
167 VDRVERSION=$(awk -F'"' '/define VDRVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h)
168 APIVERSION=$(awk -F'"' '/define APIVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h)
169 [[ -z ${APIVERSION} ]] && APIVERSION="${VDRVERSION}"
170
171 einfo "Building ${PF} against vdr-${VDRVERSION}"
172 einfo "APIVERSION: ${APIVERSION}"
173} 264}
174 265
175vdr-plugin_src_unpack() { 266vdr_i18n_disable_gettext() {
176 if [[ -z ${VDR_INCLUDE_DIR} ]]; then 267 ebegin "Disabling gettext support in plugin"
177 eerror "Wrong use of vdr-plugin.eclass." 268 # Remove i18n Target if using older vdr
178 eerror "An ebuild for a vdr-plugin will not work without calling vdr-plugin_pkg_setup." 269 sed -i Makefile \
179 echo 270 -e '/^all:/s/ i18n//'
180 eerror "Please report this at bugs.gentoo.org." 271 eend 0
181 die "vdr-plugin_pkg_setup not called!" 272}
182 fi
183 [ -z "$1" ] && vdr-plugin_src_unpack unpack add_local_patch patchmakefile i18n
184 273
185 while [ "$1" ]; do 274vdr_i18n() {
186 275 if vdr_has_gettext; then
187 case "$1" in 276 einfo "VDR has gettext support"
188 all_but_unpack) 277 if plugin_has_gettext; then
189 vdr-plugin_src_unpack add_local_patch patchmakefile i18n 278 einfo "Plugin has gettext support, fine"
190 ;; 279 else
191 unpack) 280 vdr_i18n_convert_to_gettext
192 base_src_unpack 281 if [[ $? != 0 ]]; then
193 ;; 282 eerror ""
194 patchmakefile) 283 eerror "Plugin will have only english OSD texts"
195 if ! cd "${S}"; then 284 eerror "it needs manual fixing."
196 ewarn "There seems to be no plugin-directory with the name ${S##*/}"
197 ewarn "Perhaps you find one among these:"
198 cd "${WORKDIR}"
199 ewarn "$(/bin/ls -1 "${WORKDIR}")"
200 die "Could not change to plugin-source-directory!"
201 fi 285 fi
202
203 einfo "Patching Makefile"
204 [[ -e Makefile ]] || die "Makefile of plugin can not be found!"
205 cp Makefile "${WORKDIR}"/Makefile.before
206
207 sed -i Makefile \
208 -e '1i\#Makefile was patched by vdr-plugin.eclass'
209
210 ebegin " Setting Pathes"
211 sed -i Makefile \
212 -e "s:^VDRDIR.*$:VDRDIR = ${VDR_INCLUDE_DIR}:" \
213 -e "s:^DVBDIR.*$:DVBDIR = ${DVB_INCLUDE_DIR}:" \
214 -e "s:^LIBDIR.*$:LIBDIR = ${S}:" \
215 -e "s:^TMPDIR.*$:TMPDIR = ${T}:" \
216 -e 's:-I$(VDRDIR)/include -I$(DVBDIR)/include:-I$(DVBDIR)/include -I$(VDRDIR)/include:' \
217 -e 's:-I$(VDRDIR)/include:-I'"${VDR_INCLUDE_DIR%vdr}"':' \
218 -e 's:-I$(DVBDIR)/include:-I$(DVBDIR):'
219 eend $?
220
221 ebegin " Converting to APIVERSION"
222 sed -i Makefile \
223 -e 's:^APIVERSION = :APIVERSION ?= :' \
224 -e 's:$(LIBDIR)/$@.$(VDRVERSION):$(LIBDIR)/$@.$(APIVERSION):' \
225 -e '2i\APIVERSION = '"${APIVERSION}"
226 eend $?
227
228 ebegin " Correcting Compile-Flags"
229 sed -i Makefile \
230 -e 's:^CXXFLAGS:#CXXFLAGS:' \
231 -e '/LDFLAGS/!s:-shared:$(LDFLAGS) -shared:'
232 eend $?
233
234 ebegin " Disabling file stripping"
235 sed -i Makefile \
236 -e '/@.*strip/d' \
237 -e '/strip \$(LIBDIR)\/\$@/d' \
238 -e '/^STRIP =/d' \
239 -e '/@.*\$(STRIP)/d'
240 eend $?
241
242 # Use a file instead of an variable as single-stepping via ebuild
243 # destroys environment.
244 touch ${WORKDIR}/.vdr-plugin_makefile_patched
245 ;;
246 add_local_patch)
247 cd "${S}"
248 if test -d "${VDR_LOCAL_PATCHES_DIR}/${PN}"; then
249 echo
250 einfo "Applying local patches"
251 for LOCALPATCH in "${VDR_LOCAL_PATCHES_DIR}/${PN}/${PV}"/*.{diff,patch}; do
252 test -f "${LOCALPATCH}" && epatch "${LOCALPATCH}"
253 done
254 fi 286 fi
255 ;; 287 else
256 i18n) 288 einfo "VDR has no gettext support"
257 cd "${S}" 289 if plugin_has_gettext; then
258 if [[ ${USE_GETTEXT} = 0 ]]; then 290 vdr_i18n_disable_gettext
259 # Remove i18n Target if using older vdr
260 sed -i Makefile \
261 -e '/^all:/s/ i18n//'
262 elif [[ ${USE_GETTEXT} = 1 && ! -d po && ${NO_GETTEXT_HACK} != 1 ]]; then
263 einfo "Converting translations to gettext"
264
265 local i18n_tool="${ROOT}/usr/share/vdr/bin/i18n-to-gettext.pl"
266 if [[ ! -x ${i18n_tool} ]]; then
267 eerror "Missing ${i18n_tool}"
268 eerror "Please re-emerge vdr"
269 die "Missing ${i18n_tool}"
270 fi
271
272 # call i18n-to-gettext tool
273 # take all texts missing tr call into special file
274 "${i18n_tool}" 2>/dev/null \
275 |sed -e '/^"/!d' \
276 -e '/^""$/d' \
277 -e 's/\(.*\)/trNOOP(\1)/' \
278 > dummy-translations-trNOOP.c
279
280 # if there were untranslated texts just run it again
281 # now the missing calls are listed in
282 # dummy-translations-trNOOP.c
283 if [[ -s dummy-translations-trNOOP.c ]]; then
284 "${i18n_tool}" &>/dev/null
285 fi
286
287 # now use the modified Makefile
288 mv Makefile.new Makefile
289 fi 291 fi
290 esac 292 fi
291
292 shift
293 done
294} 293}
295 294
296vdr-plugin_copy_source_tree() { 295vdr-plugin_copy_source_tree() {
297 pushd . >/dev/null 296 pushd . >/dev/null
298 cp -r "${S}" "${T}"/source-tree 297 cp -r "${S}" "${T}"/source-tree
313 doins -r "${T}"/source-tree/* 312 doins -r "${T}"/source-tree/*
314 313
315 dosym "${VDRPLUGIN}-${PV}" "${destdir}" 314 dosym "${VDRPLUGIN}-${PV}" "${destdir}"
316} 315}
317 316
317vdr-plugin_print_enable_command() {
318 elog
319 elog "To activate this vdr-plugin execute the following command:"
320 elog "\teselect vdr-plugin enable ${PN#vdr-}"
321 elog
322}
323
324
325## exported functions
326
327vdr-plugin_pkg_setup() {
328 # -fPIC is needed for shared objects on some platforms (amd64 and others)
329 append-flags -fPIC
330
331 # Where should the plugins live in the filesystem
332 VDR_PLUGIN_DIR="/usr/$(get_libdir)/vdr/plugins"
333 VDR_CHECKSUM_DIR="${VDR_PLUGIN_DIR%/plugins}/checksums"
334
335 # was /usr/lib/... some time ago
336 # since gentoo-vdr-scripts-0.3.6 it works with /usr/share/...
337 VDR_RC_DIR="/usr/share/vdr/rcscript"
338
339 # Pathes to includes
340 VDR_INCLUDE_DIR="/usr/include/vdr"
341 DVB_INCLUDE_DIR="/usr/include"
342
343
344 TMP_LOCALE_DIR="${WORKDIR}/tmp-locale"
345 LOCDIR="/usr/share/vdr/locale"
346
347 VDRVERSION=$(awk -F'"' '/define VDRVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h)
348 APIVERSION=$(awk -F'"' '/define APIVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h)
349 [[ -z ${APIVERSION} ]] && APIVERSION="${VDRVERSION}"
350
351 einfo "Compiling against"
352 einfo "\tvdr-${VDRVERSION} [API version ${APIVERSION}]"
353}
354
355vdr-plugin_src_unpack() {
356 if [[ -z ${VDR_INCLUDE_DIR} ]]; then
357 eerror "Wrong use of vdr-plugin.eclass."
358 eerror "An ebuild for a vdr-plugin will not work without calling vdr-plugin_pkg_setup."
359 echo
360 eerror "Please report this at bugs.gentoo.org."
361 die "vdr-plugin_pkg_setup not called!"
362 fi
363 [ -z "$1" ] && vdr-plugin_src_unpack unpack add_local_patch patchmakefile i18n
364
365 while [ "$1" ]; do
366
367 case "$1" in
368 all_but_unpack)
369 vdr-plugin_src_unpack add_local_patch patchmakefile i18n
370 ;;
371 unpack)
372 base_src_unpack
373 ;;
374 add_local_patch)
375 cd "${S}" || die "Could not change to plugin-source-directory!"
376 vdr_add_local_patch
377 ;;
378 patchmakefile)
379 cd "${S}" || die "Could not change to plugin-source-directory!"
380 vdr_patchmakefile
381 ;;
382 i18n)
383 cd "${S}" || die "Could not change to plugin-source-directory!"
384 vdr_i18n
385 ;;
386 esac
387
388 shift
389 done
390}
391
318vdr-plugin_src_compile() { 392vdr-plugin_src_compile() {
319 [ -z "$1" ] && vdr-plugin_src_compile prepare compile 393 [ -z "$1" ] && vdr-plugin_src_compile prepare compile
320 394
321 while [ "$1" ]; do 395 while [ "$1" ]; do
322 396
370 444
371 cd "${S}" 445 cd "${S}"
372 insinto "${VDR_PLUGIN_DIR}" 446 insinto "${VDR_PLUGIN_DIR}"
373 doins libvdr-*.so.* 447 doins libvdr-*.so.*
374 448
375 if [[ ${USE_GETTEXT} = 1 && -d ${TMP_LOCALE_DIR} ]]; then 449 if vdr_has_gettext && [[ -d ${TMP_LOCALE_DIR} ]]; then
376 einfo "Installing locales" 450 einfo "Installing locales"
377 cd "${TMP_LOCALE_DIR}" 451 cd "${TMP_LOCALE_DIR}"
378 insinto "${LOCDIR}" 452 insinto "${LOCDIR}"
379 doins -r * 453 doins -r *
380 fi 454 fi
403 477
404 create_header_checksum_file 478 create_header_checksum_file
405 create_plugindb_file 479 create_plugindb_file
406} 480}
407 481
408vdr-plugin_print_enable_command() {
409 ewarn "emerge --config ${PN} is deprecated"
410 elog
411 elog "To activate this vdr-plugin execute the following command:"
412 elog "\teselect vdr-plugin enable ${PN#vdr-}"
413 elog
414}
415
416vdr-plugin_pkg_postinst() { 482vdr-plugin_pkg_postinst() {
417 vdr-plugin_print_enable_command 483 vdr-plugin_print_enable_command
418 484
419 if [[ -n "${VDR_CONFD_FILE}" ]]; then 485 if [[ -n "${VDR_CONFD_FILE}" ]]; then
420 elog "Please have a look at the config-file" 486 elog "Please have a look at the config-file"
425 491
426vdr-plugin_pkg_postrm() { 492vdr-plugin_pkg_postrm() {
427 delete_orphan_plugindb_file 493 delete_orphan_plugindb_file
428} 494}
429 495
430vdr-plugin_pkg_config_legacy() {
431 elog "Using old interface to gentoo-vdr-scripts-0.3.7"
432 if [[ -z "${INSTALLPLUGIN}" ]]; then
433 INSTALLPLUGIN="${VDRPLUGIN}"
434 fi
435
436 active=0
437 # First test if plugin is already inside PLUGINS
438 local conf=/etc/conf.d/vdr.plugins
439 exec 3<${conf}
440 while read -u 3 line; do
441 [[ ${line} == "" ]] && continue
442 [[ ${line:0:1} == "#" ]] && continue
443 set -- ${line}
444 [[ ${1} == ${INSTALLPLUGIN} ]] && active=1
445 done
446 exec 3<&-
447
448 if [[ $active == 0 ]]; then
449 elog "Adding ${INSTALLPLUGIN} to active plugins."
450
451 # The pure edit process.
452 echo "${INSTALLPLUGIN}" >> "${conf}"
453 else
454 elog "${INSTALLPLUGIN} already activated"
455 echo
456 read -p "Do you want to deactivate ${INSTALLPLUGIN} (yes/no) " answer
457 if [[ "${answer}" != "yes" ]]; then
458 elog "aborted"
459 return
460 fi
461 elog "Removing ${INSTALLPLUGIN} from active plugins."
462
463 # The pure edit process
464 sed -i "${conf}" -e "/^[[:space:]]*${INSTALLPLUGIN}[[:space:]]*\$/d"
465 fi
466}
467
468vdr-plugin_pkg_config() { 496vdr-plugin_pkg_config() {
497 ewarn "emerge --config ${PN} is no longer supported"
469 vdr-plugin_print_enable_command 498 vdr-plugin_print_enable_command
470
471 einfo "Calling this now"
472 eselect vdr-plugin enable "${PN#vdr-}"
473}
474
475fix_vdr_libsi_include()
476{
477 einfo "Fixing include of libsi-headers"
478 local f
479 for f; do
480 sed -i "${f}" \
481 -e '/#include/s:"\(.*libsi.*\)":<\1>:' \
482 -e '/#include/s:<.*\(libsi/.*\)>:<vdr/\1>:'
483 done
484} 499}
485 500
486EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_install pkg_postinst pkg_postrm pkg_config 501EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_install pkg_postinst pkg_postrm pkg_config

Legend:
Removed from v.1.50  
changed lines
  Added in v.1.58

  ViewVC Help
Powered by ViewVC 1.1.20